%global momorel 1
%global md5sum_src0 960e1f6e232415c59b6978f92e62f30b

Summary: Common Lisp (ANSI CL) implementation
Name: clisp
Version: 2.38
Release: %{momorel}m
License: GPL
Group: Development/Languages
%NoSource 0 ftp://ftp.gnu.org/pub/gnu/%{name}/release/%{version}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://clisp.cons.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: readline-devel >= 5.0
BuildRequires: libsigsegv-devel >= 2.2

%description
Common Lisp is a high-level, general-purpose programming language.
GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany.
It mostly supports the Lisp described in the ANSI Common Lisp standard.
It runs on microcomputers (OS/2, Windows NT/2000/XP, Windows 95/98/ME,
Amiga 500-4000, Acorn RISC PC) as well as on Unix workstations (Linux,
SVR4, Sun4, DEC Alpha OSF, HP-UX, BeOS, NeXTstep, SGI, AIX, Sun3 and
others) and needs only 2 MB of RAM.
It is Free Software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with GNU CLISP.
GNU CLISP includes an interpreter, a compiler, a debugger, a large
subset of CLOS, a foreign language interface and a socket interface.
An X11 interface is available through CLX and Garnet.

%prep
%setup -q

%build
export LANG=C
# don't use %%configure
./configure \
	--prefix=%{_prefix} \
	--quiet \
	--fsstnd=redhat \
	--with-module=regexp \
	--with-module=bindings/linuxlibc6 \
	--with-module=clx/new-clx \
	--with-export-syscalls

cd src
./makemake --with-readline --with-gettext --with-dynamic-ffi > Makefile
make config.lisp
make
make check
# make testsuite

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}
cd src
make install-bin install-man prefix=%{_prefix} libdir=%{_libdir} DESTDIR=%{buildroot}
# don't use 'make install-doc' or 'make install'

# still need to remove unwanted files... sigh.
rm -rf %{buildroot}%{_datadir}/doc/clisp

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYRIGHT GNU-GPL SUMMARY
%doc doc/* src/NEWS unix/MAGIC.add
%doc src/clisp.dvi src/clisp.html
%doc src/README src/README.de src/README.es
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/locale/*/LC_MESSAGES/%{name}*.mo

%changelog
* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.38-1m)
- update to 2.38
- add BuildRequires: libsigsegv-devel >= 2.2

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.35-2m)
- rebuild against readline-5.0

* Fri Sep 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.35-1m)
- update 2.35

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.33.2-2m)
- enable x86_64.

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33.2-1m)
- update to 2.33.2
- use %%NoSource

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.33-1m)
- version 2.33

* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-3m)
- force LANG=C.

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-2m)
- revised spec for enabling rpm 4.2.

* Sun Oct 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31-1m)
- update to 2.31

* Sat Nov  9 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.30-1m)
- initial import.
